Focus · X
Typed Focus mode operations for X accounts, generated from the X focus module (same behaviour as the generic /accounts/{accountId}/focus routes).
- Bookmarks1
- Following10
- Posts12
- Threads2
- Polls3
- Articles2
- Media7
- Replies10
- Mentions7
- Quotes6
- Reposts of me1
- Liking users1
- Reposted by1
- Liked posts3
- Bookmark folders2
- Home timeline6
- Profile1
- Followers10
- Users11
- Affiliates1
- Mutes3
- Blocks3
- Lists11
- List members3
- List followers1
- List posts1
- Followed lists3
- Pinned lists3
- List memberships1
- Conversations5
- DM events4
- Chat conversations9
- Post counts1
- Trends1
- News2
- Communities3
- Spaces2
- Space posts1
- Space buyers1
- Broadcasts2
- Scheduled broadcasts6
- Broadcast chat6
- Broadcast moderators3
- Account overview1
- Post metrics1
- Post analytics1
- Media analytics1
- Usage1
Bookmarks
X: List Bookmarks
/accounts/{accountId}/x/bookmarksGET /2/users/:id/bookmarks (or a folder). Your bookmarks, optionally inside a folder: a curation library for reposts and inspiration. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read, bookmark.read. Generic route: /v1/accounts/{accountId}/focus/bookmarks.
Try it with MCPAsk your agent to call x-bookmarks-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
folder_idstringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 29 item attributes
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Following
X: List Following
/accounts/{accountId}/x/followingGET /2/users/:id/following. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Cursor pagination: pass next_cursor back as cursor. Requires scopes: follows.read, users.read, tweet.read. Generic route: /v1/accounts/{accountId}/focus/following.
Try it with MCPAsk your agent to call x-following-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–1000
user_idstringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 18 item attributes
idstringrequiredread-onlyusernamestringrequiredread-onlynamestringread-onlyurlstring (uri)read-onlyavatar_urlstring (uri)read-onlydescriptionstringread-onlylocationstring | nullread-onlywebsitestring (uri) | nullread-onlycreated_atstring (date-time)read-onlyprotectedbooleanread-onlyverifiedbooleanread-onlyverified_typestring | nullread-onlybluebusinessgovernmentnone
followersintegerread-onlyfollowingintegerread-onlypostsintegerread-onlylistedintegerread-onlylikesinteger | nullread-onlymedia_countinteger | nullread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Follow (Following)
/accounts/{accountId}/x/following/{itemId}/followEnterprise-only on X. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Requires scopes: follows.read, users.read, tweet.read, follows.write. Generic route: /v1/accounts/{accountId}/focus/following.
Try it with MCPAsk your agent to call x-following-follow (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unfollow (Following)
/accounts/{accountId}/x/following/{itemId}/unfollowEnterprise-only on X. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Requires scopes: follows.read, users.read, tweet.read, follows.write. Generic route: /v1/accounts/{accountId}/focus/following.
Try it with MCPAsk your agent to call x-following-unfollow (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Mute (Following)
/accounts/{accountId}/x/following/{itemId}/muteMute. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Requires scopes: follows.read, users.read, tweet.read, mute.write. Generic route: /v1/accounts/{accountId}/focus/following.
Try it with MCPAsk your agent to call x-following-mute (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unmute (Following)
/accounts/{accountId}/x/following/{itemId}/unmuteUnmute. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Requires scopes: follows.read, users.read, tweet.read, mute.write. Generic route: /v1/accounts/{accountId}/focus/following.
Try it with MCPAsk your agent to call x-following-unmute (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Block (Following)
/accounts/{accountId}/x/following/{itemId}/blockEnterprise-only on X. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Destructive. Requires scopes: follows.read, users.read, tweet.read, block.write. Generic route: /v1/accounts/{accountId}/focus/following.
Try it with MCPAsk your agent to call x-following-block (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unblock (Following)
/accounts/{accountId}/x/following/{itemId}/unblockEnterprise-only on X. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Requires scopes: follows.read, users.read, tweet.read, block.write. Generic route: /v1/accounts/{accountId}/focus/following.
Try it with MCPAsk your agent to call x-following-unblock (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Block DMs (Following)
/accounts/{accountId}/x/following/{itemId}/block-dmsBlock DMs. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Requires scopes: follows.read, users.read, tweet.read, dm.write. Generic route: /v1/accounts/{accountId}/focus/following.
Try it with MCPAsk your agent to call x-following-block-dms (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unblock DMs (Following)
/accounts/{accountId}/x/following/{itemId}/unblock-dmsUnblock DMs. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Requires scopes: follows.read, users.read, tweet.read, dm.write. Generic route: /v1/accounts/{accountId}/focus/following.
Try it with MCPAsk your agent to call x-following-unblock-dms (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Send DM (Following)
/accounts/{accountId}/x/following/{itemId}/send-dmSend DM. Accounts you follow. Follow/unfollow are Enterprise-only on X since 2026-04-20. Requires scopes: follows.read, users.read, tweet.read, dm.write, dm.read. Generic route: /v1/accounts/{accountId}/focus/following.
Try it with MCPAsk your agent to call x-following-send-dm (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
textstringrequired≤ 10000 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Posts
X: List Posts
/accounts/{accountId}/x/postsYour timeline (GET /2/users/:id/tweets). Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
excludestringrepliesretweetsreplies,retweets
start_timestring (date-time)end_timestring (date-time)since_idstringuntil_idstringReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 29 item attributes
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Create a Posts item
/accounts/{accountId}/x/postsPublish a post (POST /2/tweets). Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-create (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
textstringrequiredmediaarray of string | objectUp to 4 images, or 1 GIF, or 1 video
≤ 4 items
One of 2 shapes
Option 1 string
Option 2 object
mediastringalt_textstring≤ 1000 characters
reply_settingsstringfollowingmentionedUserssubscribersverified
reply_to_post_idstringReply to this post (id or URL)
quote_post_idstringQuote this post (Enterprise-only)
community_idstringfor_super_followers_onlybooleanpaid_partnershipbooleanmade_with_aibooleansensitive_mediaobjectShow 3 child attributes
adult_contentbooleangraphic_violencebooleanotherbooleangeo_countriesarray of string≤ 25 items
place_idstringtagged_user_idsarray of string≤ 10 items
long_videobooleanfirst_commentstringauto_threadbooleanSplit long text into a thread
Returns object
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlyResponses
X: Get a Posts item
/accounts/{accountId}/x/posts/{itemId}Post lookup (GET /2/tweets/:id). Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-get (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlyResponses
X: Update a Posts item
/accounts/{accountId}/x/posts/{itemId}Edit a post (X Premium; returns a new post id). Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-update (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Body object
textstringrequiredmediaarray of string≤ 4 items
Returns object
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlyResponses
X: Delete a Posts item
/accounts/{accountId}/x/posts/{itemId}Delete a post (DELETE /2/tweets/:id). Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-delete (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
X: Reply (Posts)
/accounts/{accountId}/x/posts/{itemId}/replyReply. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-reply (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
textstringrequired≤ 25000 characters
mediaarray of string≤ 4 items
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Repost (Posts)
/accounts/{accountId}/x/posts/{itemId}/repostRepost. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-repost (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Undo repost (Posts)
/accounts/{accountId}/x/posts/{itemId}/undo-repostUndo repost. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-undo-repost (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Like (Posts)
/accounts/{accountId}/x/posts/{itemId}/likeEnterprise-only on X. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, like.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-like (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unlike (Posts)
/accounts/{accountId}/x/posts/{itemId}/unlikeEnterprise-only on X. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, like.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-unlike (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Bookmark (Posts)
/accounts/{accountId}/x/posts/{itemId}/bookmarkBookmark. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, bookmark.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-bookmark (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
folder_idstringReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Remove bookmark (Posts)
/accounts/{accountId}/x/posts/{itemId}/remove-bookmarkRemove bookmark. Your posts: publish, edit (X Premium, 30 min), delete, repost, bookmark and reply. Requires scopes: tweet.read, users.read, bookmark.write. Network docs: https://docs.x.com/x-api/posts/create-post Generic route: /v1/accounts/{accountId}/focus/posts.
Try it with MCPAsk your agent to call x-posts-remove-bookmark (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Threads
X: Get a Threads item
/accounts/{accountId}/x/threads/{itemId}Your posts in the conversation rooted at :id (recent search). Publish multi-post threads and read back your own threads. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/threads.
Try it with MCPAsk your agent to call x-threads-get (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
idstringread-onlyurlstring (uri)read-onlyitemsarray of objectShow 29 item attributes
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlythread_idsarray of stringResponses
X: Create a Threads item
/accounts/{accountId}/x/threadsPublish a thread (chained POST /2/tweets). Publish multi-post threads and read back your own threads. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/threads.
Try it with MCPAsk your agent to call x-threads-create (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
itemsarray of objectrequired≥ 1 items
Show 2 item attributes
textstringrequiredmediaarray of string≤ 4 items
reply_settingsstringfollowingmentionedUserssubscribersverified
first_commentstringReturns object
idstringread-onlyurlstring (uri)read-onlyitemsarray of objectShow 29 item attributes
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlythread_idsarray of stringResponses
Polls
X: List Polls
/accounts/{accountId}/x/pollsYour recent posts that carry a poll. Create polls (2-4 options, 5 min to 7 days) and follow their results. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/polls.
Try it with MCPAsk your agent to call x-polls-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 29 item attributes
idstringread-onlytextstringcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobjectShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Create a Polls item
/accounts/{accountId}/x/pollsPublish a poll. Create polls (2-4 options, 5 min to 7 days) and follow their results. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/polls.
Try it with MCPAsk your agent to call x-polls-create (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
textstringrequiredoptionsarray of stringrequired2–4 items
duration_minutesintegerrequireddefault: 14405–10080
reply_settingsstringfollowingmentionedUserssubscribersverified
Returns object
idstringread-onlytextstringcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobjectShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlyResponses
X: Get a Polls item
/accounts/{accountId}/x/polls/{itemId}Poll results for a post. Create polls (2-4 options, 5 min to 7 days) and follow their results. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/polls.
Try it with MCPAsk your agent to call x-polls-get (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
idstringread-onlytextstringcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobjectShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlyResponses
Articles
X: Create a Articles item
/accounts/{accountId}/x/articlesCreate an Article draft and optionally publish it. Long-form X Articles: save a draft on X or publish (the account must be eligible for Articles). Requires scopes: tweet.write. Network docs: https://docs.x.com/x-api/articles/introduction Generic route: /v1/accounts/{accountId}/focus/articles.
Try it with MCPAsk your agent to call x-articles-create (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
titlestringrequired≥ 1 characters
textstringBody; "# ", "## ", "> ", "- ", "1. " prefixes become headings, quotes and lists
content_stateobjectDraftJS content_state (snake_case); overrides text
Show 2 child attributes
blocksarray of objectentitiesarray of objectmodestringdefault: "publish"publishdraft
coverstringCover image (JPG, PNG or WebP)
cover_alt_textstring≤ 1000 characters
Returns object
idstringread-onlyarticle_idstringread-onlytitlestringmodestringpublishdraft
urlstring (uri) | nullread-onlyResponses
X: Publish draft (Articles)
/accounts/{accountId}/x/articles/{itemId}/publishPOST /2/articles/:id/publish. Long-form X Articles: save a draft on X or publish (the account must be eligible for Articles). Requires scopes: tweet.write. Network docs: https://docs.x.com/x-api/articles/introduction Generic route: /v1/accounts/{accountId}/focus/articles.
Try it with MCPAsk your agent to call x-articles-publish (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Media
X: List Media
/accounts/{accountId}/x/mediaLook up media by key (GET /2/media). Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.
Try it with MCPAsk your agent to call x-media-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
media_keysstringrequiredComma-separated media keys
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 10 item attributes
media_keystringread-onlymedia_idstring | nullread-onlytypestringread-onlyurlstring (uri) | nullread-onlypreview_image_urlstring (uri) | nullread-onlywidthinteger | nullheightinteger | nullduration_msinteger | nullalt_textstring | null≤ 1000 characters
view_countinteger | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Create a Media item
/accounts/{accountId}/x/mediaUpload media (simple for images, chunked for GIF/video). Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Requires scopes: tweet.read, media.write. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.
Try it with MCPAsk your agent to call x-media-create (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
mediastringrequiredcategorystringdefault: "tweet_image"tweet_imagetweet_giftweet_videoamplify_videodm_imagedm_gifdm_video
alt_textstring≤ 1000 characters
Returns object
media_keystringread-onlymedia_idstring | nullread-onlytypestringread-onlyurlstring (uri) | nullread-onlypreview_image_urlstring (uri) | nullread-onlywidthinteger | nullheightinteger | nullduration_msinteger | nullalt_textstring | null≤ 1000 characters
view_countinteger | nullResponses
X: Get a Media item
/accounts/{accountId}/x/media/{itemId}GET /2/media/:media_key. Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Requires scopes: tweet.read. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.
Try it with MCPAsk your agent to call x-media-get (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
media_keystringread-onlymedia_idstring | nullread-onlytypestringread-onlyurlstring (uri) | nullread-onlypreview_image_urlstring (uri) | nullread-onlywidthinteger | nullheightinteger | nullduration_msinteger | nullalt_textstring | null≤ 1000 characters
view_countinteger | nullResponses
X: Alt text and flags (Media)
/accounts/{accountId}/x/media/{itemId}/set-metadataAlt text and flags. Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Requires scopes: tweet.read, media.write. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.
Try it with MCPAsk your agent to call x-media-set-metadata (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
alt_textstring≤ 1000 characters
sensitive_mediaobjectShow 3 child attributes
adult_contentbooleangraphic_violencebooleanotherbooleangeo_countriesarray of stringallow_downloadbooleanReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Add subtitles (Media)
/accounts/{accountId}/x/media/{itemId}/add-subtitlesAdd subtitles. Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Requires scopes: tweet.read, media.write. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.
Try it with MCPAsk your agent to call x-media-add-subtitles (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
filestringrequiredSRT or VTT file
languagestringrequired≥ 2 characters
display_namestringamplifybooleanReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Delete subtitles (Media)
/accounts/{accountId}/x/media/{itemId}/delete-subtitlesDelete subtitles. Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Destructive. Requires scopes: tweet.read, media.write. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.
Try it with MCPAsk your agent to call x-media-delete-subtitles (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Body object
languagestringrequired≥ 2 characters
amplifybooleanReturns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Processing status (Media)
/accounts/{accountId}/x/media/{itemId}/statusProcessing status. Upload images, GIFs and video to X, set alt text and sensitive flags, manage subtitles. Requires scopes: tweet.read, media.write. Network docs: https://docs.x.com/x-api/media/introduction Generic route: /v1/accounts/{accountId}/focus/media.
Try it with MCPAsk your agent to call x-media-status (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Replies
X: List Replies
/accounts/{accountId}/x/repliesReplies to one post (post_id) or to all your recent posts. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/replies.
Try it with MCPAsk your agent to call x-replies-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
post_idstringRoot post id or URL
archivebooleanFull-archive search (older than 7 days)
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 32 item attributes
idstringread-onlytextstringcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlyauthorstringread-onlyparent_idstring | nullread-onlyhiddenboolean | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Create a Replies item
/accounts/{accountId}/x/repliesReply to a post or reply. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/replies.
Try it with MCPAsk your agent to call x-replies-create (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
reply_to_idstringrequiredtextstringrequiredmediaarray of string≤ 4 items
Returns object
idstringread-onlytextstringcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlyauthorstringread-onlyparent_idstring | nullread-onlyhiddenboolean | nullResponses
X: Delete a Replies item
/accounts/{accountId}/x/replies/{itemId}Delete one of your replies. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/replies.
Try it with MCPAsk your agent to call x-replies-delete (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
X: Reply (Replies)
/accounts/{accountId}/x/replies/{itemId}/replyReply. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/replies.
Try it with MCPAsk your agent to call x-replies-reply (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
textstringrequiredmediaarray of string≤ 4 items
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Like (Replies)
/accounts/{accountId}/x/replies/{itemId}/likeEnterprise-only on X. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/replies.
Try it with MCPAsk your agent to call x-replies-like (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unlike (Replies)
/accounts/{accountId}/x/replies/{itemId}/unlikeEnterprise-only on X. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/replies.
Try it with MCPAsk your agent to call x-replies-unlike (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Repost (Replies)
/accounts/{accountId}/x/replies/{itemId}/repostRepost. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/replies.
Try it with MCPAsk your agent to call x-replies-repost (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Bookmark (Replies)
/accounts/{accountId}/x/replies/{itemId}/bookmarkBookmark. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, bookmark.write. Generic route: /v1/accounts/{accountId}/focus/replies.
Try it with MCPAsk your agent to call x-replies-bookmark (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Hide reply (Replies)
/accounts/{accountId}/x/replies/{itemId}/hideHide reply. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.moderate.write. Generic route: /v1/accounts/{accountId}/focus/replies.
Try it with MCPAsk your agent to call x-replies-hide (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unhide reply (Replies)
/accounts/{accountId}/x/replies/{itemId}/unhideUnhide reply. Replies to your posts (last 7 days): reply, hide/unhide, like, delete your own. Requires scopes: tweet.read, users.read, tweet.moderate.write. Generic route: /v1/accounts/{accountId}/focus/replies.
Try it with MCPAsk your agent to call x-replies-unhide (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Mentions
X: List Mentions
/accounts/{accountId}/x/mentionsGET /2/users/:id/mentions. Posts that mention you. Replying is allowed on self-serve because you were summoned. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/mentions.
Try it with MCPAsk your agent to call x-mentions-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
since_idstringstart_timestring (date-time)end_timestring (date-time)Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 32 item attributes
idstringread-onlytextstringcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlyauthorstringread-onlyparent_idstring | nullread-onlyhiddenboolean | nulllimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Reply (Mentions)
/accounts/{accountId}/x/mentions/{itemId}/replyReply. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/mentions.
Try it with MCPAsk your agent to call x-mentions-reply (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
textstringrequiredmediaarray of string≤ 4 items
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Like (Mentions)
/accounts/{accountId}/x/mentions/{itemId}/likeEnterprise-only on X. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/mentions.
Try it with MCPAsk your agent to call x-mentions-like (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unlike (Mentions)
/accounts/{accountId}/x/mentions/{itemId}/unlikeEnterprise-only on X. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/mentions.
Try it with MCPAsk your agent to call x-mentions-unlike (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Repost (Mentions)
/accounts/{accountId}/x/mentions/{itemId}/repostRepost. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/mentions.
Try it with MCPAsk your agent to call x-mentions-repost (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Bookmark (Mentions)
/accounts/{accountId}/x/mentions/{itemId}/bookmarkBookmark. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, bookmark.write. Generic route: /v1/accounts/{accountId}/focus/mentions.
Try it with MCPAsk your agent to call x-mentions-bookmark (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Hide reply (Mentions)
/accounts/{accountId}/x/mentions/{itemId}/hideOnly for replies in your conversations. Posts that mention you. Replying is allowed on self-serve because you were summoned. Requires scopes: tweet.read, users.read, tweet.moderate.write. Generic route: /v1/accounts/{accountId}/focus/mentions.
Try it with MCPAsk your agent to call x-mentions-hide (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Quotes
X: List Quotes
/accounts/{accountId}/x/quotesGET /2/tweets/:id/quote_tweets. Quote posts of one of your posts. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/quotes.
Try it with MCPAsk your agent to call x-quotes-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
post_idstringrequiredReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 29 item attributes
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Reply (Quotes)
/accounts/{accountId}/x/quotes/{itemId}/replyReply. Quote posts of one of your posts. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/quotes.
Try it with MCPAsk your agent to call x-quotes-reply (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
textstringrequiredmediaarray of string≤ 4 items
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Like (Quotes)
/accounts/{accountId}/x/quotes/{itemId}/likeEnterprise-only on X. Quote posts of one of your posts. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/quotes.
Try it with MCPAsk your agent to call x-quotes-like (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unlike (Quotes)
/accounts/{accountId}/x/quotes/{itemId}/unlikeEnterprise-only on X. Quote posts of one of your posts. Requires scopes: tweet.read, users.read, like.write. Generic route: /v1/accounts/{accountId}/focus/quotes.
Try it with MCPAsk your agent to call x-quotes-unlike (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Repost (Quotes)
/accounts/{accountId}/x/quotes/{itemId}/repostRepost. Quote posts of one of your posts. Requires scopes: tweet.read, users.read, tweet.write. Generic route: /v1/accounts/{accountId}/focus/quotes.
Try it with MCPAsk your agent to call x-quotes-repost (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Bookmark (Quotes)
/accounts/{accountId}/x/quotes/{itemId}/bookmarkBookmark. Quote posts of one of your posts. Requires scopes: tweet.read, users.read, bookmark.write. Generic route: /v1/accounts/{accountId}/focus/quotes.
Try it with MCPAsk your agent to call x-quotes-bookmark (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Reposts of me
X: List Reposts of me
/accounts/{accountId}/x/reposts-of-meGET /2/users/reposts_of_me. Your posts that other accounts reposted. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, timeline.read. Generic route: /v1/accounts/{accountId}/focus/reposts-of-me.
Try it with MCPAsk your agent to call x-reposts-of-me-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 29 item attributes
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Liking users
X: List Liked by
/accounts/{accountId}/x/liking-usersGET /2/tweets/:id/liking_users. Accounts that liked a post. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read, like.read. Generic route: /v1/accounts/{accountId}/focus/liking-users.
Try it with MCPAsk your agent to call x-liking-users-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
post_idstringrequiredReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 18 item attributes
idstringrequiredread-onlyusernamestringrequiredread-onlynamestringread-onlyurlstring (uri)read-onlyavatar_urlstring (uri)read-onlydescriptionstringread-onlylocationstring | nullread-onlywebsitestring (uri) | nullread-onlycreated_atstring (date-time)read-onlyprotectedbooleanread-onlyverifiedbooleanread-onlyverified_typestring | nullread-onlybluebusinessgovernmentnone
followersintegerread-onlyfollowingintegerread-onlypostsintegerread-onlylistedintegerread-onlylikesinteger | nullread-onlymedia_countinteger | nullread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Reposted by
X: List Reposted by
/accounts/{accountId}/x/reposted-byGET /2/tweets/:id/retweeted_by. Accounts that reposted a post. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Generic route: /v1/accounts/{accountId}/focus/reposted-by.
Try it with MCPAsk your agent to call x-reposted-by-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
post_idstringrequiredReturns object
objectstringrequiredlist
dataarray of objectrequiredShow 18 item attributes
idstringrequiredread-onlyusernamestringrequiredread-onlynamestringread-onlyurlstring (uri)read-onlyavatar_urlstring (uri)read-onlydescriptionstringread-onlylocationstring | nullread-onlywebsitestring (uri) | nullread-onlycreated_atstring (date-time)read-onlyprotectedbooleanread-onlyverifiedbooleanread-onlyverified_typestring | nullread-onlybluebusinessgovernmentnone
followersintegerread-onlyfollowingintegerread-onlypostsintegerread-onlylistedintegerread-onlylikesinteger | nullread-onlymedia_countinteger | nullread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
Liked posts
X: List Likes
/accounts/{accountId}/x/liked-postsGET /2/users/:id/liked_tweets. Posts you liked. Liking and unliking are Enterprise-only on X. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read, like.read. Generic route: /v1/accounts/{accountId}/focus/liked-posts.
Try it with MCPAsk your agent to call x-liked-posts-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 29 item attributes
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Create a Likes item
/accounts/{accountId}/x/liked-postsLike a post (Enterprise-only). Posts you liked. Liking and unliking are Enterprise-only on X. Requires scopes: tweet.read, users.read, like.read, like.write. Generic route: /v1/accounts/{accountId}/focus/liked-posts.
Try it with MCPAsk your agent to call x-liked-posts-create (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
post_idstringrequiredReturns object
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlyResponses
X: Delete a Likes item
/accounts/{accountId}/x/liked-posts/{itemId}Unlike a post (Enterprise-only). Posts you liked. Liking and unliking are Enterprise-only on X. Requires scopes: tweet.read, users.read, like.read, like.write. Generic route: /v1/accounts/{accountId}/focus/liked-posts.
Try it with MCPAsk your agent to call x-liked-posts-delete (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Returns object
objectstringrequiredfocus_item
platformstringrequiredresourcestringrequiredidstring | nullrequireddeletedbooleanrequiredresultanyResponses
Bookmark folders
X: List Bookmark folders
/accounts/{accountId}/x/bookmark-foldersGET /2/users/:id/bookmarks/folders. Cursor pagination: pass next_cursor back as cursor. Requires scopes: users.read, bookmark.read. Generic route: /v1/accounts/{accountId}/focus/bookmark-folders.
Try it with MCPAsk your agent to call x-bookmark-folders-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 2 item attributes
idstringread-onlynamestringrequired1–25 characters
limitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Create a Bookmark folders item
/accounts/{accountId}/x/bookmark-foldersPOST /2/users/:id/bookmarks/folders. Requires scopes: users.read, bookmark.read, bookmark.write. Generic route: /v1/accounts/{accountId}/focus/bookmark-folders.
Try it with MCPAsk your agent to call x-bookmark-folders-create (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
namestringrequired1–25 characters
Returns object
idstringread-onlynamestringrequired1–25 characters
Responses
Home timeline
X: List Home timeline
/accounts/{accountId}/x/home-timelineGET /2/users/:id/timelines/reverse_chronological. Posts from accounts you follow, newest first. Cursor pagination: pass next_cursor back as cursor. Requires scopes: tweet.read, users.read. Network docs: https://docs.x.com/x-api/posts/timelines/introduction Generic route: /v1/accounts/{accountId}/focus/home-timeline.
Try it with MCPAsk your agent to call x-home-timeline-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–100
excludestringrepliesretweetsreplies,retweets
start_timestring (date-time)end_timestring (date-time)Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 29 item attributes
idstringrequiredread-onlytextstringrequiredcreated_atstring (date-time)read-onlyurlstring (uri)read-onlykindstringread-onlypostreplyquoterepost
author_idstringread-onlyauthor_usernamestringread-onlyauthor_namestringread-onlyauthor_avatar_urlstring (uri)read-onlyconversation_idstringread-onlyin_reply_to_user_idstring | nullread-onlyreply_to_idstring | nullread-onlyquoted_idstring | nullread-onlyreposted_idstring | nullread-onlylangstringread-onlyreply_settingsstringeveryonefollowingmentionedUserssubscribersverified
community_idstring | nullpossibly_sensitivebooleanread-onlypaid_partnershipbooleaneditable_untilstring (date-time) | nullread-onlyedits_remaininginteger | nullread-onlymediaarray of objectread-onlyShow 9 item attributes
media_keystringtypestringphotovideoanimated_gif
urlstring (uri)preview_image_urlstring (uri)widthintegerheightintegerduration_msintegeralt_textstringview_countintegerpollobject | nullShow 6 child attributes
idstringoptionsarray of objectShow 3 item attributes
positionintegerlabelstringvotesintegertotal_votesintegervoting_statusstringopenclosed
end_datetimestring (date-time)duration_minutesintegerlikesintegerread-onlyrepostsintegerread-onlyrepliesintegerread-onlyquotesintegerread-onlybookmarksintegerread-onlyimpressionsintegerread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Reply (Home timeline)
/accounts/{accountId}/x/home-timeline/{itemId}/replyReply. Posts from accounts you follow, newest first. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/timelines/introduction Generic route: /v1/accounts/{accountId}/focus/home-timeline.
Try it with MCPAsk your agent to call x-home-timeline-reply (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
textstringrequiredmediaarray of string≤ 4 items
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Like (Home timeline)
/accounts/{accountId}/x/home-timeline/{itemId}/likeEnterprise-only on X. Posts from accounts you follow, newest first. Requires scopes: tweet.read, users.read, like.write. Network docs: https://docs.x.com/x-api/posts/timelines/introduction Generic route: /v1/accounts/{accountId}/focus/home-timeline.
Try it with MCPAsk your agent to call x-home-timeline-like (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unlike (Home timeline)
/accounts/{accountId}/x/home-timeline/{itemId}/unlikeEnterprise-only on X. Posts from accounts you follow, newest first. Requires scopes: tweet.read, users.read, like.write. Network docs: https://docs.x.com/x-api/posts/timelines/introduction Generic route: /v1/accounts/{accountId}/focus/home-timeline.
Try it with MCPAsk your agent to call x-home-timeline-unlike (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Repost (Home timeline)
/accounts/{accountId}/x/home-timeline/{itemId}/repostRepost. Posts from accounts you follow, newest first. Requires scopes: tweet.read, users.read, tweet.write. Network docs: https://docs.x.com/x-api/posts/timelines/introduction Generic route: /v1/accounts/{accountId}/focus/home-timeline.
Try it with MCPAsk your agent to call x-home-timeline-repost (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Bookmark (Home timeline)
/accounts/{accountId}/x/home-timeline/{itemId}/bookmarkBookmark. Posts from accounts you follow, newest first. Requires scopes: tweet.read, users.read, bookmark.write. Network docs: https://docs.x.com/x-api/posts/timelines/introduction Generic route: /v1/accounts/{accountId}/focus/home-timeline.
Try it with MCPAsk your agent to call x-home-timeline-bookmark (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
Profile
X: Get Profile
/accounts/{accountId}/x/profileGET /2/users/me. The connected account: handle, bio, verification and public counts. X has no profile-editing API. Requires scopes: users.read, tweet.read. Generic route: /v1/accounts/{accountId}/focus/profile.
Try it with MCPAsk your agent to call x-profile-get (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Returns object
idstringread-onlyusernamestringread-onlynamestringread-onlyurlstring (uri)read-onlyavatar_urlstring (uri)read-onlydescriptionstringread-onlylocationstring | nullread-onlywebsitestring (uri) | nullread-onlycreated_atstring (date-time)read-onlyprotectedbooleanread-onlyverifiedbooleanread-onlyverified_typestring | nullread-onlybluebusinessgovernmentnone
followersintegerread-onlyfollowingintegerread-onlypostsintegerread-onlylistedintegerread-onlylikesinteger | nullread-onlymedia_countinteger | nullread-onlyconfirmed_emailstring (email) | nullread-onlyNeeds users.email
subscription_typestring | nullread-onlyverified_followers_countinteger | nullread-onlypinned_post_idstring | nullread-onlyResponses
Followers
X: List Followers
/accounts/{accountId}/x/followersGET /2/users/:id/followers ($0.010 per user returned). Cursor pagination: pass next_cursor back as cursor. Requires scopes: follows.read, users.read, tweet.read. Generic route: /v1/accounts/{accountId}/focus/followers.
Try it with MCPAsk your agent to call x-followers-list (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
Query parameters
cursorstringPagination cursor (next_cursor)
limitinteger1–1000
user_idstringDefaults to the connected account
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 18 item attributes
idstringrequiredread-onlyusernamestringrequiredread-onlynamestringread-onlyurlstring (uri)read-onlyavatar_urlstring (uri)read-onlydescriptionstringread-onlylocationstring | nullread-onlywebsitestring (uri) | nullread-onlycreated_atstring (date-time)read-onlyprotectedbooleanread-onlyverifiedbooleanread-onlyverified_typestring | nullread-onlybluebusinessgovernmentnone
followersintegerread-onlyfollowingintegerread-onlypostsintegerread-onlylistedintegerread-onlylikesinteger | nullread-onlymedia_countinteger | nullread-onlylimitinteger | nulltotalinteger | nullhas_morebooleanrequirednext_cursorstring | nullrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
X: Follow (Followers)
/accounts/{accountId}/x/followers/{itemId}/followEnterprise-only on X. Requires scopes: follows.read, users.read, tweet.read, follows.write. Generic route: /v1/accounts/{accountId}/focus/followers.
Try it with MCPAsk your agent to call x-followers-follow (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unfollow (Followers)
/accounts/{accountId}/x/followers/{itemId}/unfollowEnterprise-only on X. Requires scopes: follows.read, users.read, tweet.read, follows.write. Generic route: /v1/accounts/{accountId}/focus/followers.
Try it with MCPAsk your agent to call x-followers-unfollow (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Mute (Followers)
/accounts/{accountId}/x/followers/{itemId}/muteMute. Requires scopes: follows.read, users.read, tweet.read, mute.write. Generic route: /v1/accounts/{accountId}/focus/followers.
Try it with MCPAsk your agent to call x-followers-mute (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Unmute (Followers)
/accounts/{accountId}/x/followers/{itemId}/unmuteUnmute. Requires scopes: follows.read, users.read, tweet.read, mute.write. Generic route: /v1/accounts/{accountId}/focus/followers.
Try it with MCPAsk your agent to call x-followers-unmute (toolset focus_x)Set up MCP
Path parameters
accountIdstringrequiredSocial account id (sa_…)
1–80 characters
itemIdstringrequiredThe network's id of the item
1–512 characters
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Returns object
objectstringrequiredfocus_action_result
platformstringrequiredresourcestringrequiredactionstringrequiredidstring | nullrequiredresultanyThe action's return value (object, array, scalar or null)
Responses
X: Block (Followers)
/accounts/{accountId}/x/followers/{itemId}/blockEnterprise-only on X. Destructive. Requires scopes: follows.read, users.read, tweet.read, block.write. Generic route: /v1/accounts/{accountId}/focus/followers.
[...]
